# APRS

This is an on-going repository for the Automatic Positioning Reporting System (APRS) Network 
This repo includes support for Direwolf, rtl_fm & kissutil 

This repo is split into multiple directories with 
"Cross-Band Digipeater Support"
"Simplex Digipeater Support"
"RTL-SDR RX Only IGate Support"


## Installation

You're going to need 

"rtl-sdr" https://archlinux.org/packages/extra/x86_64/rtl-sdr/ (If you plan on using an rtl-sdr)

"direwolf" https://aur.archlinux.org/packages/direwolf (IIRC "kissutil is included in this package)

"telnet" https://archlinux.org/packages/core/x86_64/inetutils/ 

## Usage

Ensure that you clone this repo into your `/home/$USER/` directory so that everything can run seamlessly

If you intend on using "RTL-SDR(s)" 
You're going to want to move `aprs-1200b.service` and `aprs-9600b.service` 
from `/systemd-services/` to `/etc/system/systemd/`

To enable these as services so that they run on /BOOT/ run in your terminal

```
sudo systemctl enable --now aprs-1200b.service
sudo systemctl enable --now aprs-9600b.service
```

This repo also includes a method to send messages to other stations by utilizing the kissutil

In the "APRS-Messaging" directory is a shell script that you will need to edit for your station
such as 

```
USER="ab1cde"
PASS="12345" 
```
Ensure you have this correctly changed for your station 

Usage of running the script is very simple

```
bash aprs-message.sh "callsign you want to send a message to" "your message"
```

This will telnet into the APRS-IS system with your login details and first send the message over TCPIP

It will secondly send the message over RF over the KISS TNC via WIDE1-1,WIDE2-1,APRS,TCPIP


## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

Please make sure to update tests as appropriate.

## Credits

A very special thanks goes to Emma/Everett (KX4AT)

for their amazing help putting this some of this config together,
for resparking my interest again in Packet Radio and staying up until all hours of the morning/evening answering my stupid questions

"Help! I'm trapped in a digipeater! :C (Direwolf 08.18.23)" -KX4AT-10 

## Notes

The "direwolf_UHF direwolf_VHF direwolf_10m .conf" 's include an ibeacon to "TOOT"
A Mastodon bot that posts your APRS Messages to the Fediverse Social Media platform
You can find your posts by navigating to "https://aprs.internaluse.net/@"your callsign"
This is maintained by Crossy (VK4XSS/VK3FUR) 

If you do not wish for this to occur, Please comment out the "Mastodon Beacon"

```
#-----------------#
# Mastodon Beacon #
#-----------------#
# https://aprs.internaluse.net/@{Your Callsign Here}/
# Do not attach your SSID "-#" to the end of your Callsign, Simply just your call as is :-)

IBEACON sendto=IG delay=1 every=180 via=TOOT
```


## Future development

I will try to maintain this repo as best as I can, 
I'm still working on some stuff in the background so expect changes from time to time

Until next push
Meow :3



